Subject: Re: [PATCH 4/6] gitweb: Link to associated tree from a particular log item in full log view

From: Jakub Narebski <[email-masked]>
Date: Sat, 23 Sep 2006 10:59:22 +0200

Junio C Hamano wrote:

> Petr Baudis <[email-masked]> writes:
> 
>> Oops. It's trivial typo:
>>
>> diff --git a/gitweb/gitweb.perl b/gitweb/gitweb.perl
>> index d2366c7..c5f3810 100755
>> --- a/gitweb/gitweb.perl
>> +++ b/gitweb/gitweb.perl
>> @@ -2880,7 +2880,7 @@ sub git_log {
>>                    " | " .
>>                    $cgi->a({-href => href(action=>"commitdiff", hash=>$commit)}, "commitdiff") .
>>                    " | " .
>> -                  $cgi->a({-href => href(action=>"tree", hash=>$commit), hash_base=>$commit}, "tree") .
>> +                  $cgi->a({-href => href(action=>"tree", hash=>$commit, hash_base=>$commit)}, "tree") .
>>                    "<br/>\n" .
>>                    "</div>\n" .
>>                    "<i>" . esc_html($co{'author_name'}) .  " [$ad{'rfc2822'}]</i><br/>\n" .
>>
>>> You do not have the tree object name available in git_log to
>>> generate an URL with both h and hb, and getting to it is an
>>> extra work.
>>
>> Well using commit hash as a tree id works just fine...
> 
> I agree that change is much safer.  Will apply with an
> appropriate log message and attribution.  No need to resend.

I think that hash_base without hash should be enough. But I'm not
sure if it is. Well, commit hash is tree-ish...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git